//----------------------------------------------------------------------------------------------
//Board Library : Seeed nRF52 mbed-enable Borads 2.9.1
//Board Select  : Seeed nRF52 mbed-enable Borads / Seeed XIAO BLE - (nRF52840)
//2023/02/12
//Arduino15\packages\Seeeduino\hardware\mbed\2.9.1\variants\SEEED_XIAO_NRF52840/
//  replase pins_arduino.h and variant.cpp
//----------------------------------------------------------------------------------------------

//#define LED LED_BUILTIN         // default
//#define LED LEDR
#define LED LEDG
//#define LED LEDB

//#define LED P0_26   // RED
//#define LED P0_30   // GREEN
//#define LED P0_6    // BLUE

bool state = false;

void setup() {
  Serial.begin(115200);
  delay(1000);
  
  pinMode(LED, OUTPUT);
   
  pinMode(PIN_VBAT_ENABLE, OUTPUT);   // P0_14
  digitalWrite(PIN_VBAT_ENABLE, LOW);
  pinMode(PIN_CHARGE_HIGH, OUTPUT);   // P0_13
  digitalWrite(PIN_CHARGE_HIGH, LOW);   
}

void loop() {
  state = !state;
  digitalWrite(LED, (state ? LOW: HIGH));
  digitalWrite(LED, state);
  
  Serial.print("PIN_VBAT="); 
  Serial.print((analogRead(PIN_VBAT) * 3 * 3300) / 1024);
  Serial.print("  P0_31=");
  Serial.print((analogRead(P0_31) * 3 * 3300) / 1024);
  Serial.println();
     
  delay(500); 
}